﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace SwitchFocusAutocompleteGridView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private bool stadiumEditEnded;

        public MainWindow()
        {
            InitializeComponent();
            this.clubsGrid.KeyboardCommandProvider = new CustomKeyboardCommandProvider(this.clubsGrid);
            this.clubsGrid.CellEditEnded += ClubsGrid_CellEditEnded;
        }

        private void ClubsGrid_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
        {
        }

        private void ClubsGrid_CellEditEnded(object sender, GridViewCellEditEndedEventArgs e)
        {
            if (e.Cell.Column.Header.ToString() == "Stadium")
            {
                this.autoCompleteBox.Focus();
            }
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {

        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {

        }

        private void autoCompleteBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.clubsGrid.BeginInsert();
        }
    }
}
